SystemOrganization addCategory: #'CS528-SkeetManager'!

Object subclass: #ClassType
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

!ClassType methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:08'!
newAAAClass
	^self new name: #'AAA Class'.! !

!ClassType methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:08'!
newAAClass
	^self new name: #'AA Class'.! !

!ClassType methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:08'!
newAClass
	^self new name: #'A Class'.! !

!ClassType methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:08'!
newBClass
	^self new name: #'B Class'.! !

!ClassType methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:08'!
newCClass 
	^self new name: #'C Class'.! !

!ClassType methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:08'!
newDClass 
	^self new name: #'D Class'. ! !

!ClassType methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:06'!
newEClass
	^self new name: #'E Class'. ! !

Object subclass: #ConcurrentType
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

!ConcurrentType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:10'!
newJunior
	^ self new name: #'Junior'! !

!ConcurrentType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:11'!
newSenior
	^ self new name: #'Senior'! !

!ConcurrentType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:10'!
newSubJunior
	^ self new name: #'Sub Junior'! !

!ConcurrentType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:11'!
newSubSenior
	^ self new name: #'Sub Senior'! !

!ConcurrentType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:11'!
newSubSubSenior
	^ self new name: #'Sub Sub Senior'! !

!ConcurrentType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:11'!
newTripleSubSenior
	^ self new name: #'Triple Sub Senior'! !

!ConcurrentType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:11'!
newVeteran
	^ self new name: #'Veteran'! !

Object subclass: #DatabaseWrapper
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

!DatabaseWrapper methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 16:25'!
connect
	 ^ self subclassResponsibility.! !

!DatabaseWrapper methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 16:22'!
connectionFailed
	 ^ self subclassResponsibility.! !

!DatabaseWrapper methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 16:25'!
disconnect
	 ^ self subclassResponsibility.! !

!DatabaseWrapper methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 16:50'!
saveEvent: anEvent
	 ^ self subclassResponsibility.! !

!DatabaseWrapper methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 16:50'!
saveScore: aScore
	 ^ self subclassResponsibility.! !

!DatabaseWrapper methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 16:50'!
saveUser: aUser
	 ^ self subclassResponsibility.! !

Object subclass: #Event
	instanceVariableNames: 'name shooters scores scoreFormat honors shootoffs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

Event subclass: #CompositeEvent
	instanceVariableNames: 'events'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:22'!
addShooter: aShooter
	.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:28'!
createHonors
	.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:29'!
createHonorsFor: aNumber
	"Creates the list of Honor objects given how many places will exist. This can be done once all shooters have been entered for an Event, but before all scores are entered for the event."
	.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:34'!
generateHonors
	"I attempt to assign the winner of each already created honor. If there are ties, I generate shootoffs."
	.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:33'!
generateShootOffFor: anHonor Between: someShooters
	"Generates a single shootoff for a particular honor between a collection of shooters. It adds the shootoff to the Event's Collection of shootoffs."
	.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:27'!
honors 
	^honors.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:22'!
name 
	^name.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:23'!
removeShooter: aShooter
	.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:24'!
setScore: aScore for: aShooter
	.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:22'!
shooters
	^shooters.! !

!Event methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:27'!
shootoffs
	^shootoffs.! !

Event subclass: #RealEvent
	instanceVariableNames: 'eventType'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

Object subclass: #EventType
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

!EventType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/3/2013 16:20'!
new12ga
	^self new name: #'12ga'.! !

!EventType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/3/2013 16:20'!
new20ga
	^self new name: #'20ga'.! !

!EventType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/3/2013 16:20'!
new28ga
	^self new name: #'28ga'.! !

!EventType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/3/2013 16:20'!
new410bore
	^self new name: #'410bore'.! !

!EventType class methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/3/2013 16:21'!
newDoubles
	^self new name: #'doubles'. ! !

!EventType methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/3/2013 16:21'!
name: aSymbol
	name := aSymbol.! !

Object subclass: #Honor
	instanceVariableNames: 'event type positions winners'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

!Honor methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:48'!
event
	^event.! !

!Honor methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:49'!
positions 
	^positions.! !

!Honor methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:48'!
type 
	^type.! !

!Honor methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:49'!
winners 
	^winners.! !

Object subclass: #Shoot
	instanceVariableNames: 'shooters event'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

Object subclass: #Shooter
	instanceVariableNames: 'uuid firstName lastName middleName dob membershipNumber classifications address phone email'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

!Shooter class methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 17:32'!
newShooterFirst: first middle: middle last: last
	^ self new firstName: first middleName: middle lastName: last.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:14'!
address
	^ address.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:14'!
averageFor: anEventType
	^ nil.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:13'!
classFor: anEventType
	^ nil.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 17:34'!
dob: aDate  	
	dob := aDate.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:14'!
email  
	^ email.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 17:43'!
firstName: first middleName: middle lastName: last
	firstName:= first.
	middleName:= middle .
	lastName:= last.
	dob:= Date newDay: 1 month:1  year:1900.
	address:='your address'.
	membershipNumber:=0.
	uuid:= first+'_'+middle+'_'+last.
	 classifications := Collection new.
	 phone := 1112223333.
	email := 'yourname@example.com'
	 ! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 17:33'!
lastName: last 	
	lastName := last.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 17:35'!
membershipNumber: aNumber  	
	membershipNumber := aNumber.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'BiplabDeka 7/4/2013 17:33'!
middleName: middle 	
	middleName := middle.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:12'!
name
	^name.! !

!Shooter methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:14'!
phone 
	^ phone.! !

Object subclass: #Shootoff
	instanceVariableNames: 'shooters resolved honor'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-SkeetManager'!

!Shootoff methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:40'!
honor 
	^honor.! !

!Shootoff methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:40'!
resolved
	^resolved.! !

!Shootoff methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:42'!
resolvedWith:  someShooters 
	shooters := someShooters.
	resolved := true.
	"AND SOME MORE THINGS, such as calling honor to assign the winners, etc."! !

!Shootoff methodsFor: 'as yet unclassified' stamp: 'HenryDuwe 7/4/2013 14:40'!
shooters
	^shooters.! !
